# $Revision: 1.92 $, $Date: 2011/08/31 18:32:41 $
#
# Conditional build:
%bcond_with	glide	# with Glide support
%bcond_with	kgicon	# with KGICon support
%bcond_without	aalib	# without aalib support
%bcond_with	svga	# without svgalib support
#
Summary:	GGI - Generic Graphics Interface
Summary(pl.UTF-8):	GGI - Generic Graphics Interface
Name:		libggi
Version:	2.2.2
Release:	6
Epoch:		1
License:	BSD-like
Group:		Libraries
Source0:	http://www.ggi-project.org/ftp/ggi/v2.2/%{name}-%{version}.src.tar.bz2
# Source0-md5:	51d92ea810dad5360f6f0d02dd8b84a4
Patch0:		%{name}-ppc.patch
Patch1:		ac.patch
Patch2:		link.patch
URL:		http://www.ggi-project.org/
%{?with_aalib:BuildRequires:	aalib-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_glide:BuildRequires:	glide-devel}
BuildRequires:	libgii-devel >= 1.0.2
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	ncurses-devel
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibGGI, the dynamic GGI (General Graphics Interface) library is a
flexible drawing library.

It provides an opaque interface to the display's acceleration
functions. It was originally intended to allow user programs to
interface with KGI, the GGI Kernel Graphics Interface, but other
display types can be easily used by loading the appropriate "display
target" (e.g. X, memory).

%description -l pl.UTF-8
LibGGI, dynamiczne GGI (General Graphics Interface - Generalny
Interfejs Graficzny) jest biblioteką obsługi grafiki.

Dostarcza ona jednolity interfejs do akcelerowanych funkcji
wyświetlania. Oryginalnie biblioteka została stworzona do
współdziałania z KGI (GGI Kernel Graphic Interface) ale inne
sterowniki wyświetlania mogą być łatwo używane.

%package aa
Summary:	aalib target for LibGGI
Summary(pl.UTF-8):	Obsługa aalib dla LibGGI
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description aa
LibGGI target for displaying graphics using ascii-art-library.

%description aa -l pl.UTF-8
Moduł LibGGI do obsługi grafiki poprzez bibliotekę ascii-art.

%package svgalib
Summary:	SVGALib target for LibGGI
Summary(pl.UTF-8):	Obsługa SVGALib dla LibGGI
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description svgalib
LibGGI target for displaying via SVGALib.

%description svgalib -l pl.UTF-8
Moduł LibGGI do obsługi grafiki poprzez bibliotekę SVGALib.

%package X11
Summary:	X11 targets for LibGGI
Summary(pl.UTF-8):	Obsługa X11 dla LibGGI
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description X11
LibGGI targets for displaing in X:
 - x - graphics via X-protocol
 - xlib - graphics via X-library
 - dga - graphics via XFree86 DGA extension

%description X11 -l pl.UTF-8
Moduły LibGGI do obsługi grafiki w XWindow:
 - x - grafika poprzez protokół X
 - xlib - grafika poprzez bibliotekę xlib
 - dga - grafika poprzez rozszerzenie X DGA

%package glide
Summary:	Glide (3DFX) target for LibGGI
Summary(pl.UTF-8):	Obsługa Glide (3DFX) dla LibGGI
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description glide
GGI Glide target.

%description glide -l pl.UTF-8
Moduł do obsługi grafiki poprzez Glide.

%package programs
Summary:	Utilities and demos for GGI
Summary(pl.UTF-8):	Programy narzędziowe i przykładowe dla LibGGI
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libggi-demos

%description programs
Various utilities and demos for GGI.

%description programs -l pl.UTF-8
Różne programy oraz dema dla GGI

%package devel
Summary:	Development part of LibGGI
Summary(pl.UTF-8):	Część dla programistów biblioteki LibGGI
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgii-devel >= 1.0.2

%description devel
Development part of LibGGI.

%description devel -l pl.UTF-8
Pliki potrzebne do programowania z wykorzystaniem LibGGI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm -f m4/{libtool,ltdl}.m4
rm acinclude.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
CPPFLAGS="-I/usr/include/glide -I/usr/include/directfb -I/usr/include/directfb-internal"
%configure \
	%{!?debug:--disable-debug} \
	%{!?with_glide:--disable-glide} \
	%{!?with_kgicon:--disable-genkgi} \
	--disable-directfb \
	%{!?with_svga:--disable-svga --disable-vgagl} \
	%{!?with_aalib:--disable-aa} \
	--sysconfdir=%{_sysconfdir} \
	--enable-threads
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

install programs/demos/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install programs/demos/Makefile $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install config.h $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# demos which are nice, but not installed by make install
install programs/demos/.libs/flying_ggis $RPM_BUILD_ROOT%{_bindir}
install programs/demos/.libs/slimy $RPM_BUILD_ROOT%{_bindir}
install programs/demos/.libs/stars $RPM_BUILD_ROOT%{_bindir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/ggi/{default,default/fbdev,display,helper}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS doc/*.txt
%dir %{_libdir}/ggi/default
%dir %{_libdir}/ggi/default/fbdev
%dir %{_libdir}/ggi/display

%dir %{_sysconfdir}/ggi
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ggi/*.conf
%dir %{_sysconfdir}/ggi/targets
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ggi/targets/*.conf

%attr(755,root,root) %{_libdir}/libggi.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libggi.so.2
%attr(755,root,root) %{_libdir}/ggi/default/fbdev/fbdev_m2164w.so
%attr(755,root,root) %{_libdir}/ggi/default/fbdev/fbdev_mach64.so
%attr(755,root,root) %{_libdir}/ggi/default/fbdev/fbdev_mga_g400.so
%attr(755,root,root) %{_libdir}/ggi/default/color.so
%attr(755,root,root) %{_libdir}/ggi/default/ilbm.so
%attr(755,root,root) %{_libdir}/ggi/default/iplanar_2p.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_1.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_16.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_1_r.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_2.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_24.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_32.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_4.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_4_r.so
%attr(755,root,root) %{_libdir}/ggi/default/linear_8.so
%attr(755,root,root) %{_libdir}/ggi/default/planar.so
%attr(755,root,root) %{_libdir}/ggi/default/pseudo_stubs.so
%attr(755,root,root) %{_libdir}/ggi/default/stubs.so
%attr(755,root,root) %{_libdir}/ggi/default/text_16.so
%attr(755,root,root) %{_libdir}/ggi/default/text_32.so
%attr(755,root,root) %{_libdir}/ggi/display/auto.so
%attr(755,root,root) %{_libdir}/ggi/display/fbdev.so
%attr(755,root,root) %{_libdir}/ggi/display/file.so
%attr(755,root,root) %{_libdir}/ggi/display/ipc.so
%ifarch ppc
%attr(755,root,root) %{_libdir}/ggi/display/lcd823.so
%endif
%attr(755,root,root) %{_libdir}/ggi/display/linvtsw.so
%attr(755,root,root) %{_libdir}/ggi/display/mansync.so
%attr(755,root,root) %{_libdir}/ggi/display/memory.so
%attr(755,root,root) %{_libdir}/ggi/display/monotext.so
%attr(755,root,root) %{_libdir}/ggi/display/multi.so
%attr(755,root,root) %{_libdir}/ggi/display/palemu.so
%attr(755,root,root) %{_libdir}/ggi/display/sub.so
%attr(755,root,root) %{_libdir}/ggi/display/tele.so
%attr(755,root,root) %{_libdir}/ggi/display/terminfo.so
%attr(755,root,root) %{_libdir}/ggi/display/tile.so
%attr(755,root,root) %{_libdir}/ggi/display/trueemu.so
%attr(755,root,root) %{_libdir}/ggi/display/vcsa.so

%{_mandir}/man7/*

%if %{with aalib}
%files aa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ggi/display/aa.so
%endif

%if %{with svga}
%files svgalib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ggi/display/svga*.so
%attr(755,root,root) %{_libdir}/ggi/display/vgagl.so
%endif

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ggi/display/X.so
%dir %{_libdir}/ggi/helper
%attr(755,root,root) %{_libdir}/ggi/helper/helper_x_dbe.so
%attr(755,root,root) %{_libdir}/ggi/helper/helper_x_dga.so
%attr(755,root,root) %{_libdir}/ggi/helper/helper_x_evi.so
%attr(755,root,root) %{_libdir}/ggi/helper/helper_x_shm.so
%attr(755,root,root) %{_libdir}/ggi/helper/helper_x_vidmode.so

%if %{with glide}
%files glide
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ggi/display/glide.so
%endif

%files programs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cube3d
%attr(755,root,root) %{_bindir}/flying_ggis
%attr(755,root,root) %{_bindir}/ggiteleserver
%attr(755,root,root) %{_bindir}/monitest
%attr(755,root,root) %{_bindir}/slimy
%attr(755,root,root) %{_bindir}/stars
%{_mandir}/man1/cube3d.1*
%{_mandir}/man1/demo.1*
%{_mandir}/man1/ggi-demo.1*
%{_mandir}/man1/ggiteleserver.1*
%{_mandir}/man1/monitest.1*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%{_includedir}/ggi/*.h
%{_includedir}/ggi/display
%{_includedir}/ggi/internal/*.h
%attr(755,root,root) %{_libdir}/libggi.so
%{_libdir}/libggi.la
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libggi.spec,v $
Revision 1.92  2011/08/31 18:32:41  arekm
- release 6

Revision 1.91  2011/07/25 11:00:55  arekm
- rel 5; avoid -L/usr/lib on 64bit system

Revision 1.90  2011/04/07 07:21:28  lisu
- restore libtool file, there is no .pc file
- rel 4

Revision 1.89  2011/04/06 20:02:06  lisu
- drop libtool file
- use __rm macro
- rel 3

Revision 1.88  2011/02/18 18:43:46  arekm
- rel 2; force libgii >= 1.0.2

Revision 1.87  2011/02/13 15:20:21  sls
- rm unneeded glibc24.patch and gcc*patches
- rel. 1

Revision 1.86  2011/02/13 15:12:30  sls
- more verbose files
- packged ghost symlink

Revision 1.85  2011/02/13 13:58:50  sls
- xf86dga.so is gone
- fixed fbdev drivers directories

Revision 1.84  2011/02/13 13:55:52  sls
- fixed "unresolved symbols" from tinfo

Revision 1.83  2011/02/13 13:44:57  sls
- temporary disabled gcc* patches
- added autoconf fixes

Revision 1.82  2011/02/13 13:38:26  sls
- ver. 2.2.2 (NFY)

Revision 1.81  2011/01/29 00:06:53  sparky
- dropped pre-cvs changelog

Revision 1.80  2010/11/23 05:48:37  arekm
- release 5

Revision 1.79  2010/11/13 19:03:04  arekm
- rel 4; dropping svgalib from th

Revision 1.78  2008/09/14 23:57:39  charles
- missing dir

Revision 1.77  2008/07/27 22:59:56  arekm
- release 3

Revision 1.76  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.75  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.74  2006/09/08 06:51:33  arekm
- updated for th

Revision 1.73  2005/12/13 15:59:58  glen
- adapterized (sorted %verify attrs)

Revision 1.72  2005/10/06 22:36:09  qboosh
- updated to 2.1.2

Revision 1.71  2005/09/06 22:02:31  arekm
- rel 2

Revision 1.70  2005/04/24 00:51:20  qboosh
- updated to 2.1.1

Revision 1.69  2005/02/05 18:07:43  qboosh
- updated to 2.1.0, removed obsolete amfix patch

Revision 1.68  2004/12/09 20:54:00  qboosh
- added ppc-specific lcd823 display; release 2

Revision 1.67  2004/12/01 22:35:43  qboosh
- updated to 2.0.7

Revision 1.66  2004/11/26 21:21:53  qboosh
- updated to 2.0.6

Revision 1.65  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.64  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.63  2004/05/31 17:12:16  grzegol
- BR: libgii-devel >= 0.8.5 (it doesn't build with libgii < 0.8.5)

Revision 1.62  2004/05/30 21:55:19  qboosh
- updated to 2.0.5

Revision 1.61  2003/12/22 09:00:58  qboosh
- md5

Revision 1.60  2003/12/22 07:32:49  qboosh
- updated to 2.0.4, removed obsolete gcc33 patch
- new-style bconds, ac/am/lt cleanups

Revision 1.59  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.58  2003/09/03 09:27:35  adgor
- Fixed bconds

Revision 1.57  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.56  2003/06/27 13:10:47  mmazur
- mass commit; now req: name = epoch:version

Revision 1.55  2003/06/04 14:11:31  qboosh
- fixed Source0 URL

Revision 1.54  2003/05/27 09:47:07  trojan
- added Source-md5

Revision 1.53  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.52  2003/05/20 06:26:12  trojan
- added _without_aalib bcond
- added gcc33 patch

Revision 1.51  2003/03/20 11:42:17  trojan
- updated to 2.0.3

Revision 1.50  2003/01/16 23:34:39  qboosh
- BR: libtool with fixed relink

Revision 1.49  2003/01/16 23:26:04  qboosh
- up to 2.0.2
- removed obsolete patches: time,svga,tm_to_mode,ac25x,nodirectfb
- added amfix patch
- disabled directfb for now (some build problems, maybe will be added later)

Revision 1.48  2002/11/25 14:16:52  ankry
- massive attack: no need for 755 for *.la

Revision 1.47  2002/07/01 08:53:09  trojan
- added patch(comenting directfb entries in config)
- release 6

Revision 1.46  2002/05/21 14:39:38  qboosh
- removed %%{_includedir}/ggi{,/internal} dirs from -devel (belong to libgii-devel)
- new %%doc, release 5

Revision 1.45  2002/04/27 09:09:07  qboosh
- added ac25x patch needed for autoconf 2.53
- release 4

Revision 1.44  2002/04/20 10:44:12  kloczek
- release 3.

Revision 1.43  2002/04/20 09:26:55  marcus
- fixed include path

Revision 1.42  2002/04/20 09:15:00  marcus
- on ppc aalib exists

Revision 1.41  2002/04/19 23:00:21  misiek
- added fix for powerpc

Revision 1.40  2002/04/19 19:44:26  mmazur
- a couple fixes for arch != x86 (needs testing on alpha)

Revision 1.39  2002/04/12 14:05:01  qboosh
- removed %%{_libdir}/ggi dir - it's in libgii

Revision 1.38  2002/04/11 15:11:48  qboosh
- removed include/* dirs that exist in libgii-devel, -devel Req: libgii-devel

Revision 1.37  2002/04/11 14:31:29  qboosh
- fixed file list: /etc/ggi dir belons to libgii; release 2

Revision 1.36  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/08/29 04:48:06  kloczek
- adapterized.

Revision 1.32  2001/08/28 09:53:40  trojan
- updated to 2.0.1; STB

Revision 1.31  2001/08/25 11:55:07  filon
- added config.h and Makefile to %{_examplesdir}, without it can't build examples

Revision 1.30  2001/08/13 13:59:47  trojan
- Epoch: 1 (for allow upgrade from 2.0b3)

Revision 1.29  2001/08/13 13:42:52  trojan
- updated to 2.0

Revision 1.28  2001/08/10 14:04:03  trojan
- added BuildRequires: autoconf, automake

Revision 1.27  2001/07/24 16:42:58  qboosh
- svga patch fixes two bugs in svga target; still segfaults on exit
  (probably because svgalib uses atexit() and libvga.so.1 is unloaded before)
- fixed summaries/descriptions (s/GII/GGI/)
- fixed License - it's not GPL since 1998

Revision 1.26  2001/07/23 09:46:23  trojan
- updated to 2.0b4
- added ./autogen.sh in %prep
- added BuildRequires: ncurses-devel

Revision 1.25  2001/07/06 11:50:45  dobrek
-No svgalib on axp

Revision 1.24  2001/05/22 09:06:27  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.23  2001/03/05 17:43:50  qboosh
- uncommented %%clean section
- cosmetics in pl translations

Revision 1.22  2001/02/25 10:33:30  misiek
ifnarch -> ifarch

Revision 1.21  2001/02/25 10:28:02  misiek
2.0b3. Use conditional build for kgicon and glide. Added pl translations. stb

Revision 1.20  2001/02/21 22:06:02  misiek
disable vgagl, too

Revision 1.19  2001/02/21 18:34:17  misiek
dont require svgalib on arch other than ia32 and alpha

Revision 1.18  2001/01/22 11:35:54  kloczek
- rebuild on current glibc,
- more macros.

Revision 1.17  2000/11/03 05:25:36  kloczek
- release 2: adapterized and added using new rpm automation.

Revision 1.16  2000/06/27 10:21:49  qboosh
- added svgalib-misc.so and vgagl.so to libggi-svgalib
- added Obsoletes: libggi-demos to libggi-programs

Revision 1.15  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.12  2000/04/17 17:10:14  kloczek
- spec adapterized (adapter also fix in this case one major bug: missing
  %defattr() in programms),
- some cosmetics.

Revision 1.11  2000/04/16 17:50:52  jajcus
- some documetation moved from -devel to base package

Revision 1.10  2000/04/15 16:50:30  jajcus
- removed kgicon support (kgicon package is old and probably not-working)
- revision up

Revision 1.9  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.7  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.6  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.5  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
